Skip to main content
GET
Get responses summary data

Description

Retrieves meta data of all responses that correspond to the specified campaign and date range.

Response

200 OK

where:
  • code: Short unique response code.
  • headers: The request headers used to submit the response.
  • uuid: Unique response identifier used to validate duplicates.
  • completenessPercent: The percent of the questions answered by the user.
  • questionsDisplayedCount: The number of questions that were actually displayed to the user.
  • responsesCount: The number of questions answered by the user.
  • latitude: Most approximate latitude coordinate of the respondent.
  • longitude: Most approximate longitude coordinate of the respondent.

400 Bad Request

ProjectId, fromDate and/or toDate are missing.

401 Unauthorized

The user doesn’t have permissions.

500 Internal Server Error

Error occurred while processing the request.
Query Parameters

Authorizations

Authorization
string
header
required

Access token obtained from the m2m-token endpoint.

Headers

Authorization
string
required

Authorization token

Query Parameters

projectId
string
fromDate
string
toDate
string
campaignId
string

Response

Get responses summary data

The response is of type object.